package com.honksandsirens;
import com.softsynth.jsyn.*;

/** @author James Forrest */

public class FilterBank extends SynthCircuit
{    
    // Declare units and ports.
    public SynthDistributor	input;
    public SynthInput		freqs[];
    public SynthInput		amps[];
    public SynthInput		Qs[];
    public SynthOutput		outputs[];
    public Filter_BandPass	filters[];
    
    // Other vars
    int numFilters;
    
    public FilterBank(int numFilters) {
    	this.numFilters = numFilters;
    	
    	//create arrays
    	freqs = new SynthInput[numFilters];
    	amps = new SynthInput[numFilters];
    	Qs = new SynthInput[numFilters];
    	
    	outputs = new SynthOutput[numFilters];
    	filters = new Filter_BandPass[numFilters];
    	
    	//create objects and connect
    	input = new SynthDistributor( this, "input" );
    	for (int i=0; i<numFilters; i++) {
    		add( filters[i] = new Filter_BandPass() );
    		
    		input.connect( filters[i].input );
    		
    		addPort( freqs[i] = filters[i].frequency, "freq"+i );
    		addPort( amps[i] = filters[i].amplitude, "amp"+i );
    		addPort( Qs[i] = filters[i].Q, "q"+i );
    		addPort( outputs[i] = filters[i].output, "output"+i); 
    	}
    	
    }
    
    public int getNumFilters() { return numFilters; }
    
}