package com.honksandsirens;
/** @author James Forrest */
public class Formant {
	public static final double[] A = {609, 0, 1000, -6, 2450, -12, 2700, -11, 3240, -24};
	public static final double[] E = {400, 0, 1700, -9, 2300, -8, 2900, -11, 3400, -19};
	public static final double[] I = {238, 0, 1741, -20, 2450, -16, 2900, -20, 4000, -32};
	public static final double[] O = {325, 0, 700, -12, 2550, -26, 2850, -22, 3100, -28};
	public static final double[] OO = {360, 0, 750, -12, 2400, -29, 2675, -26, 2950, -35};
	public static final double[] U = {415, 0, 1400, -12, 2200, -16, 2800, -18, 3300, -27};
	public static final double[] ER = {300, 0, 1600, -14, 2150, -12, 2700, -15, 3100, -23};
	public static final double[] UH = {400, 0, 1050, -12, 2200, -19, 2650, -20, 3100, -29};
	
        public static final String[] VOWEL_NAMES = { "A", "E", "I", "O", "Oo", "U", "Er", "Uh" };
	
        int numFormants;
	double[] myValues;
	
	public Formant( double[] formantValues) {
		myValues = formantValues;
		numFormants = myValues.length/2;
	}
	
	public double getFrequency(int whichFormant) { return myValues[whichFormant*2]; }
	public double getAmplitude(int whichFormant) { return Math.pow(10, myValues[whichFormant*2+1]/20.0); }
	public int getSize() { return numFormants; }
}
