package com.honksandsirens;
import com.softsynth.jsyn.*;

/**
 * A Panel with stage buttons and rate fader for StagedVowelizer
 * @author Nick Didkovsky, Nov 28, 2002
 * */

 
public class StagedVowelizerPanel extends java.awt.Panel {    

    StagedVowelizer vowelizer;

     StagedVowelizerPanel(StagedVowelizer vowelizer) {
        this.vowelizer=vowelizer;
        setLayout(new java.awt.BorderLayout());
        add("South", new com.softsynth.jsyn.view11x.SoundTester(vowelizer));
        java.awt.Panel p = new java.awt.Panel();
        p.setLayout(new java.awt.GridLayout(0, 1));
        p.add(new java.awt.Label("Vowelizer controls", java.awt.Label.CENTER));
        p.add(new com.softsynth.jsyn.view11x.PortFader(vowelizer.rate, 0.2, 0.01, 2.0));
        add("North", p);
     }

    public static void main( String args[] ) {
    	Synth.startEngine(0);
	Synth.getSharedContext().enableTracking(true);
    	LineOut out = new LineOut();
    	StagedVowelizer fof = new StagedVowelizer();
    	ImpulseOscillatorBL osc = new ImpulseOscillatorBL();
    	osc.output.connect(fof.input);
    	osc.frequency.set(100);
        osc.amplitude.set(1.0);
    	//LineIn in = new LineIn();
    	osc.output.connect(0, fof.input, 0);
    	fof.output.connect(0, out.input, 0);
    	fof.output.connect(0, out.input, 1);
    	fof.amplitude.set(10.0);
    	osc.start();
    	//in.start();
    	fof.start();
    	out.start();
    	java.awt.Frame f = new java.awt.Frame();
	f.add(new StagedVowelizerPanel(fof));
	f.pack();
    	f.setVisible(true);
    	f.addWindowListener(
			new java.awt.event.WindowAdapter() {
				public void windowClosing(java.awt.event.WindowEvent e) {
					Synth.stopEngine();
					System.exit(0);
				}
			}
		);
    }
}